com.hazelcast.config

## Class CachePartitionLostListenerConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.ListenerConfig
  - - com.hazelcast.config.CachePartitionLostListenerConfig
    - - com.hazelcast.config.CachePartitionLostListenerConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable, Serializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class CachePartitionLostListenerConfigReadOnly
      extends CachePartitionLostListenerConfig

  Read-Only Configuration for CachePartitionLostListener
  See Also:
    `CachePartitionLostListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ListenerConfig

      `className, implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachePartitionLostListenerConfigReadOnly(CachePartitionLostListenerConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.hazelcast.cache.impl.event.CachePartitionLostListener` | `getImplementation()` Deprecated. Returns the EventListener implementation.
    `ListenerConfig` | `setClassName(String className)` Deprecated. Sets the class name of the EventListener.
    `CachePartitionLostListenerConfig` | `setImplementation(com.hazelcast.cache.impl.event.CachePartitionLostListener implementation)` Deprecated.
    `ListenerConfig` | `setImplementation(EventListener implementation)` Deprecated. Sets the EventListener implementation.

    - ### Methods inherited from class com.hazelcast.config.CachePartitionLostListenerConfig

      `equals, getAsReadOnly, getId, hashCode`

    - ### Methods inherited from class com.hazelcast.config.ListenerConfig

      `getClassName, getFactoryId, isIncludeValue, isLocal, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachePartitionLostListenerConfigReadOnly

          public CachePartitionLostListenerConfigReadOnly(CachePartitionLostListenerConfig config)

      Deprecated.

  - ### Method Detail

    - #### getImplementation

          public com.hazelcast.cache.impl.event.CachePartitionLostListener getImplementation()

      Deprecated.
      Description copied from class: `ListenerConfig`
      Returns the EventListener implementation. If none has been specified, null is returned.
      Overrides:
        `getImplementation` in class `CachePartitionLostListenerConfig`
      Returns:
        the EventListener implementation
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`

    - #### setClassName

          public ListenerConfig setClassName(String className)

      Deprecated.
      Description copied from class: `ListenerConfig`
      Sets the class name of the EventListener.

      If a implementation was set, it will be removed.

      Overrides:
        `setClassName` in class `ListenerConfig`
      Parameters:
        `className` - the name of the class of the EventListener
      Returns:
        the updated ListenerConfig
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`, `ListenerConfig.getClassName()`

    - #### setImplementation

          public ListenerConfig setImplementation(EventListener implementation)

      Deprecated.
      Description copied from class: `ListenerConfig`
      Sets the EventListener implementation.

      If a className was set, it will be removed.

      Overrides:
        `setImplementation` in class `ListenerConfig`
      Parameters:
        `implementation` - the EventListener implementation
      Returns:
        the updated ListenerConfig
      See Also:
        `ListenerConfig.setClassName(String)`, `ListenerConfig.getImplementation()`

    - #### setImplementation

          public CachePartitionLostListenerConfig setImplementation(com.hazelcast.cache.impl.event.CachePartitionLostListener implementation)

      Deprecated.
      Overrides:
        `setImplementation` in class `CachePartitionLostListenerConfig`

Copyright © 2019. All rights reserved.